// DeleD Plugin Wizard setup program
// Author: Salvatore Russo "Il Buzzo"

main();

function main()
{
	var bDebug = false;
	var Args = WScript.Arguments;
	if(Args.length > 0 && Args(0) == "/debug")
		bDebug = true;

	// Create shell object
	var WSShell = WScript.CreateObject("WScript.Shell");
	// Create file system object
	var FileSys = WScript.CreateObject("Scripting.FileSystemObject");

	var strValue = FileSys.GetAbsolutePathName(".");
	if(strValue == null || strValue == "")
		strValue = ".";

	var strSourceFolder = strValue;
	if(bDebug)
		WScript.Echo("Source: " + strSourceFolder);

	if(!FileSys.FolderExists(strSourceFolder))
	{
		WScript.Echo("ERROR: Cannot find Wizard folder (should be: " + strSourceFolder + ")");
		return;
	}

	var strVC8Key = "HKLM\\Software\\Microsoft\\VisualStudio\\9.0\\Setup\\VC\\ProductDir";
	try
	{
		strValue = WSShell.RegRead(strVC8Key);
	}
	catch(e)
	{
		WScript.Echo("ERROR: Cannot find where Visual Studio 9.0 is installed.");
		return;
	}

	var strDestFolder = strValue + "\vcprojects";
	if(bDebug)
		WScript.Echo("Destination: " + strDestFolder);
	if(!FileSys.FolderExists(strDestFolder))
	{
		WScript.Echo("ERROR: Cannot find destination folder (should be: " + strDestFolder + ")");
		return;
	}

	var strDest = strDestFolder + "\\";
	var strSrc = "";

	// Copy files
	try
	{
		strSrc = strSourceFolder + "\\DeleDPlugin2.ico";
		FileSys.CopyFile(strSrc, strDest);
		strSrc = strSourceFolder + "\\VC9\\DeleDPlugin2.vsz";
		FileSys.CopyFile(strSrc, strDest);
	}
	catch(e)
	{
		var strError = "no info";
		if(e.description.length != 0)
			strError = e.description;
		WScript.Echo("ERROR: Cannot copy file (" + strError + ")");
		return;
	}

	strDest = strValue + "\VCWizards\\AppWiz\\Generic\\DeleDPlugin2";
	strSrc = "";
	try
	{
		strSrc = strSourceFolder + "\\DeleDPlugin2";
		FileSys.CopyFolder(strSrc, strDest);
	}
	catch(e)
	{
		var strError = "no info";
		if(e.description.length != 0)
			strError = e.description;
		WScript.Echo("ERROR: Cannot copy folder (" + strError + ")");
		return;
	}

	WScript.Echo("DeleD Plugin Wizard successfully installed!\nFor more info please refer to readme included!");
}
